Package twisted :: Package coil :: Module web :: Class CollectionForm

[show private | hide private]
[frames | no frames]

## Class CollectionForm

    Widget --+
             |
          Form --+
                 |
                CollectionForm

Form for a collection of objects - adding, deleting, etc.

Method Summary
| `__init__(self, configurator, coll, linkfrom)`
| ``display`(self, request)` Display the form. (inherited from `Form`)
| ``format`(self, form, write, request)` I display an HTML FORM according to the result of self.getFormFields. (inherited from `Form`)
| ``formatError`(self, error)` Format an error message. (inherited from `Form`)
| `getFormFields(self, request)`
| ``getFormID`(self)` Override me: I disambiguate between multiple forms of the same type. (inherited from `Form`)
| `getTitle(self, request)` (inherited from `Widget`)
| `process(self, write, request, submit, name, type, items)`
| `shouldProcess(self, request)` (inherited from `Form`)
| ``tryAgain`(self, err, req)` Utility method for re-drawing the form with an error message. (inherited from `Form`)
| `_displayFormat(self, request, form)` (inherited from `Form`)
| `_displayProcess(self, request, form)` (inherited from `Form`)
| ``_doProcess`(self, form, write, request)` (internal) Prepare arguments for self.process. (inherited from `Form`)

Class Variable Summary
`list` | `submitNames`

Class Variable Details

### submitNames

  Type:
    `list`
  Value:

        ['Insert', 'Delete']

Generated by Epydoc 1.1 on Thu May 8 13:18:18 2003 | http://epydoc.sf.net